## ros-kinetic-aws-ros1-common 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(aws_ros1_common)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 11)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  aws_common
  roscpp
)

if(AWSSDK_FOUND)
  set(SERVICE core)
  AWSSDK_DETERMINE_LIBS_TO_LINK(SERVICE AWSSDK_LIBS)
  link_directories("${AWSSDK_LIB_DIR}")
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a C++ executable
add_library(${PROJECT_NAME} SHARED
  src/sdk_utils/ros1_node_parameter_reader.cpp
  src/sdk_utils/logging/aws_ros_logger.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME} ${AWSSDK_LIBS} ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME} PRIVATE ${AWSSDK_INCLUDE_DIR})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(
  DIRECTORY include/
  DESTINATION include/
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(test_client_configuration_provider
    test/test_client_configuration_provider.test
    test/client_configuration_provider_test.cpp
  )
  target_link_libraries(test_client_configuration_provider
    ${PROJECT_NAME}
    ${aws_common_LIBRARIES}
    ${catkin_LIBRARIES}
  )

  add_rostest_gtest(test_aws_ros_logger
    test/sdk_utils/logging/test_aws_ros_logger.test
    test/sdk_utils/logging/aws_ros_logger_test.cpp
  )
  target_link_libraries(test_aws_ros_logger
    ${PROJECT_NAME}
    ${aws_common_LIBRARIES}
    ${catkin_LIBRARIES}
  )

  add_rostest_gtest(test_parameter_reader
    test/test_parameter_reader.test
    test/parameter_reader_test.cpp
  )
  target_link_libraries(test_parameter_reader
    ${PROJECT_NAME}
    ${aws_common_LIBRARIES}
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-kinetic-aws-ros1-common (2.0.1-2xenial) xenial; urgency=high

  * increment patch version (#26 <https://github.com/aws-robotics/utils-ros1/issues/26>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Add gtest and gmock as test dependencies (#17 <https://github.com/aws-robotics/utils-ros1/issues/17>)
    * Add gtest and gmock as test dependencies
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * more CMakeLists.txt cleanup
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Remove legacy portions of the ParameterReader API (#9 <https://github.com/aws-robotics/utils-ros1/issues/9>)
  * Update ParameterReader API to support ROS1/ROS2 (#8 <https://github.com/aws-robotics/utils-ros1/issues/8>)
    * Revert "Revert ParameterReader change (#5 <https://github.com/aws-robotics/utils-ros1/issues/5>)"
    * refactor based on new ParameterPath object design
  * Revert ParameterReader change (#5 <https://github.com/aws-robotics/utils-ros1/issues/5>)
    * Revert "Parameter Namespacing: Refactoring using the ParameterPath object. (#3 <https://github.com/aws-robotics/utils-ros1/issues/3>)"
    This reverts commit 295f157b32a321e230ef1c7f616ad5abd1bece5e.
    https://github.com/aws-robotics/utils-common/issues/15
  * Parameter Namespacing: Refactoring using the ParameterPath object. (#3 <https://github.com/aws-robotics/utils-ros1/issues/3>)
    * Refactoring using the ParameterPath object.
    * Minor test fixes in parameter_reader_test.cpp
    * Adding failure test case for Ros1NodeParameterReader.
    * Bumping major version in package.xml
    * address comments in PR
    * update .travis.yml to build dependencies from latest source
  * Contributors: AAlon, M. M, Ross Desmond

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-aws-ros1-common
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-kinetic-aws-common, ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-rostest
Homepage: http://wiki.ros.org/aws_ros1_common
Standards-Version: 3.9.2

Package: ros-kinetic-aws-ros1-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common, ros-kinetic-roscpp
Description: Common utilities for ROS1 nodes using Amazon Web Services

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-aws-ros1-common//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
